module lexer.Keyword;

import lexer.Token;

Tok[char[]] keywords;

static this ()
{
    keywords =
    [
        "byte"[]    : Tok.Byte,
        "ubyte"     : Tok.Ubyte,
        "short"     : Tok.Short,
        "ushort"    : Tok.Ushort,
        "int"       : Tok.Int,
        "uint"      : Tok.Uint,
        "long"      : Tok.Long,
        "ulong"     : Tok.Ulong,

        "float"     : Tok.Float,
        "double"    : Tok.Double,

        "return"    : Tok.Return
    ];
}
